%define realname extractor

%define major 1
%define common_major 0
%define libname %mklibname %{realname} %{major}
%define libcommon %mklibname extractor_common %{common_major}
%define libnamedev %mklibname %{realname} -d

Summary:	Libextractor library used to extract meta-data from files
Name:		libextractor
Version:	0.5.23
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		http://www.gnunet.org/libextractor/
Source:		http://www.gnunet.org/libextractor/download/%{name}-%{version}.tar.gz
Conflicts:	%{mklibname extractor 1} < 0.5.19a-2
Requires:	%{libname} = %{version}-%{release}
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildRequires:	libltdl-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libmpeg2dec-devel
BuildRequires:	libflac-devel
BuildRequires:	glib-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libgsf-devel
BuildRequires:	libexiv-devel
BuildRequires:	librpm-devel
BuildRequires:	gettext-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data
from a file and print the results to stdout. Currently, it supports the formats
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n %{libname}
Summary:	Libextractor library used to extract meta-data from files 
Group:		System/Libraries
Conflicts:	%{mklibname -d extractor 1} < 0.5.19a-2

%description -n %{libname}
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data
from a file and print the results to stdout. Currently, it supports the formats
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n %{libcommon}
Summary:        Libextractor library for common functions
Group:          System/Libraries

%description -n %{libcommon}
Common function library of libextractor.

%package -n %{libnamedev}
Summary:	Libextractor library headers and development libraries
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libcommon} = %{version}-%{release}
Provides:	libextractor-devel = %{version}-%{release}
Provides:	extractor-devel = %{version}-%{release}
Obsoletes:	%mklibname -d extractor 1

%description -n %{libnamedev}
Development files and headers for libextractor.

%prep
%setup -q 

%build
autoreconf -fi
%configure2_5x \
	--disable-rpath \
	--enable-exiv2 \
	--disable-ffmpeg \
	--with-plugindirname=%{name}%{major}

%make -j1

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%post
%_install_info extractor

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%preun
%_remove_install_info extractor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_infodir}/extractor.info.*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/%{name}%{major}

%files -n %{libcommon}
%defattr(-,root,root)
%{_libdir}/%{name}_common.so.%{common_major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_libdir}/%{name}.so
%{_libdir}/%{name}.la
%{_libdir}/%{name}_common.so
%{_libdir}/%{name}_common.la
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Sun Jul 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.23-1mdv2010.0
+ Revision: 392681
- Update to new version 0.5.23
- Re-enable rpm plug-in: it supports up to librpm 4.7 now
- Enable new libexiv2 plug-in
- Run autoreconf to fix linking of rpm plug-in

* Sat Mar 21 2009 Anssi Hannula <anssi@mandriva.org> 0.5.22-1mdv2009.1
+ Revision: 359875
- add libextractor_common0 subpackage
- add major to plugins directory to satisfy library policy
- do not require tool binary in library package
- disable rpm support, does not build with rpm-4.6

  + Emmanuel Andry <eandry@mandriva.org>
    - New version 0.5.22
    - pass -lgthread-2.0 to the compiler

* Mon Nov 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.21-1mdv2009.1
+ Revision: 299605
- update to new version 0.5.21
- add buildrequires on librpm-devel
- enable exiv2 support

* Mon Jul 14 2008 Funda Wang <fundawang@mandriva.org> 0.5.20c-1mdv2009.0
+ Revision: 234447
- update to new version 0.5.20c

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.20b-1mdv2009.0
+ Revision: 209099
- new version

* Thu Apr 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.20a-1mdv2009.0
+ Revision: 195342
- new version
- add missing build requires on: libvorbis-devel libmpeg2dec-devel libflac-devel glib-devel gtk+2-devel libgsf-devel
- nuke rpath
- fix descriptions
- spec file clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long

* Tue Jan 29 2008 Funda Wang <fundawang@mandriva.org> 0.5.19a-2mdv2008.1
+ Revision: 159628
- fix package layout
- update to new version 0.5.19a

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 0.5.18a-3mdv2008.1
+ Revision: 109222
- rebuild for new lzma

* Mon Nov 05 2007 Nicolas Vigier <nvigier@mandriva.com> 0.5.18a-2mdv2008.1
+ Revision: 106009
- fix files list (#30265)

* Tue Aug 14 2007 Nicolas Vigier <nvigier@mandriva.com> 0.5.18a-1mdv2008.0
+ Revision: 63434
- new version

* Fri May 04 2007 Lenny Cartier <lenny@mandriva.org> 0.5.18-1mdv2008.0
+ Revision: 22556
- Buildrequires libltdl-devel (Bug #29425)


* Thu Mar 15 2007 Lenny Cartier <lenny@mandriva.com> 0.5.18-1mdv2007.1
+ Revision: 144127
- Update to 0.5.18

* Thu Jan 04 2007 Lenny Cartier <lenny@mandriva.com> 0.5.17a-1mdv2007.1
+ Revision: 104053
- Update to 0.5.17a

* Mon Nov 13 2006 Lenny Cartier <lenny@mandriva.com> 0.5.16-1mdv2007.1
+ Revision: 83683
- Update to 0.5.15
- Update to 0.5.15
- Import libextractor

* Fri May 19 2006 Lenny Cartier <lenny@mandriva.com> 0.5.14-1mdk
- 0.5.14

* Fri May 05 2006 Lenny Cartier <lenny@mandriva.com> 0.5.13-1mdk
- 0.5.13

* Thu Apr 27 2006 Lenny Cartier <lenny@mandriva.com> 0.5.12-1mdk
- 0.5.12

* Mon Mar 13 2006 Lenny Cartier <lenny@mandriva.com> 0.5.11-1mdk
- 0.5.11

* Mon Jan 23 2006 Lenny Cartier <lenny@mandriva.com> 0.5.9-1mdk
- 0.5.9

* Wed Dec 07 2005 Lenny Cartier <lenny@mandriva.com> 0.5.8-1mdk
- 0.5.8

* Mon Nov 14 2005 Lenny Cartier <lenny@mandriva.com> 0.5.7-1mdk
- 0.5.7

* Fri Oct 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.6a-3mdk
- Fix BuildRequires

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.6a-2mdk
- Rebuild for new mozilla

* Wed Oct 05 2005 Lenny Cartier <lenny@mandriva.com> 0.5.6a-1mdk
- 0.5.6a

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-3mdk
- rebuilt against new Magick libs

* Sat Aug 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-2mdk
- rebuilt against latest libMagick

* Sat Apr 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Mon Nov 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.11-1mdk
- 0.3.11

* Tue Oct 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.10-1mdk
- 0.3.10

* Tue Oct 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.9-1mdk
- 0.3.9

* Sat Oct 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-1mdk
- 0.3.8

* Sat Sep 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.7-1mdk
- 0.3.7

* Tue Sep 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- 0.3.6

* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-1mdk
- 0.3.5

* Thu Aug 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- 0.3.4

* Tue Jul 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Wed Jun 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- 0.3.2

* Thu May 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Sat Apr 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.7-1mdk
- 0.2.7

